# class RSS::Maker::ImageItemModel::ImageItemBase

### Attributes

about[RW]
height=[RW]
image_height[RW]
image_width[RW]
resource[RW]
width=[RW]

### Public Instance Methods

have_required_values?() click to toggle source

    # File lib/rss/maker/image.rb, line 37
    def have_required_values?
      @about
    end

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/image.rb, line 41
    def to_feed(feed, current)
      if current.respond_to?(:image_item=) and have_required_values?
        item = current.class::ImageItem.new
        setup_values(item)
        setup_other_elements(item)
        current.image_item = item
      end
    end